X2Go Bug report logs - #499
Fwd: [Bug 1097757] New: [abrt] x2goclient: QString(): x2goclient killed by SIGSEGV

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Wed, 14 May 2014 14:55:02 UTC

Severity: normal

Tags: pending

Found in version 4.0.2.0

Fixed in version 4.1.1.0

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#499: Fwd: [Bug 1097757] New: [abrt] x2goclient: QString(): x2goclient killed by SIGSEGV
Reply-To: Mihai Moldovan <ionic@ionic.de>, 499@bugs.x2go.org
Resent-From: Mihai Moldovan <ionic@ionic.de>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Wed, 01 Mar 2017 07:20:01 +0000
Resent-Message-ID: <handler.499.B499.148835272824627@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 499
X-X2Go-PR-Package: x2goclient
X-X2Go-PR-Keywords: pending
Received: via spool by 499-submit@bugs.x2go.org id=B499.148835272824627
          (code B ref 499); Wed, 01 Mar 2017 07:20:01 +0000
Received: (at 499) by bugs.x2go.org; 1 Mar 2017 07:18:48 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-0.1 required=3.0 tests=BAYES_20,DKIM_SIGNED,
	DKIM_VALID,DKIM_VALID_AU,SPF_HELO_PASS,URIBL_BLOCKED autolearn=ham
	version=3.3.2
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 0F5463BC8D
	for <499@bugs.x2go.org>; Wed,  1 Mar 2017 08:18:44 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id FpAIntIaHMog for <499@bugs.x2go.org>;
	Wed,  1 Mar 2017 08:18:36 +0100 (CET)
Received: from Root24.de (powered.by.root24.eu [5.135.3.88])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 459F53BC8C
	for <499@bugs.x2go.org>; Wed,  1 Mar 2017 08:18:36 +0100 (CET)
Received: from nopileos.local (178.162.222.41.adsl.inet-telecom.org [178.162.222.41])
	by mail.ionic.de (Postfix) with ESMTPSA id BE2BC4F002E1;
	Wed,  1 Mar 2017 08:18:33 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=ionic.de; s=default;
	t=1488352714; bh=Im+KHhTkpf0stTEgBb9H3dptsNXwaPYIDrptub7ZZqA=;
	h=Subject:To:References:From:Date:In-Reply-To:From;
	b=XpneHbh20kzzaJC+iQ2sHdq3Dc7/5Yfbg8n/r1ZZmJo66eOLNPjLf6kqPYD6QXCVE
	 3SVRJWiog2JUg0ls2C7oi3A+bYo4NvE7jNludlGJ2xWwSjDALvpGH7peDlu/6SK5KN
	 Cz70vWp+lvvR/Qs4kDLvvcnckbm2z5rBgd/pfIuU=
To: Orion Poplawski <orion@cora.nwra.com>, 499@bugs.x2go.org
References: <bug-1097757-140047@bugzilla.redhat.com>
 <53738360.6090505@cora.nwra.com>
From: Mihai Moldovan <ionic@ionic.de>
Message-ID: <222cffd6-1e96-3dca-fdd4-1e1c8e02b173@ionic.de>
Date: Wed, 1 Mar 2017 08:18:30 +0100
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:45.0)
 Gecko/20100101 Thunderbird/45.7.1
MIME-Version: 1.0
In-Reply-To: <53738360.6090505@cora.nwra.com>
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature";
 boundary="r848xdcnCKVPrwXp2EHW2Lw1mS4emgUus"
[Message part 1 (text/plain, inline)]
On 14.05.2014 04:53 PM, Orion Poplawski wrote:
> Package: x2goclient
> Version: 4.0.2.0
> 
> Looks like:
> 
> #1  id (this=0x0) at ../sessionbutton.h:39
> No locals.
> #2  ONMainWindow::slotSuspendSess (this=this@entry=0x1ad1ab0) at 
> ../onmainwindow.cpp:4620
> 
>              X2goSettings st ( "sessions" );
>              QString sid=lastSession->id();
> 
> lastSession is null and not being checked.  Probably applies to other parts of 
> the code as well.

I don't know if that's still a problem, since the session manager/explorer
feature was added in the meantime, but I've tried to add guards to most
locations, except where it was obvious that getLastSession() must return
non-NULL because we already checked it before.

Should it ever actually be NULL, at least it shouldn't crash (at this point) any
longer, but I admit that I don't know how the client behaves when just returning
out of these functions without doing its work.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Aug 4 08:46:41 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.